# Uses of Interface
javax.validation.metadata.PropertyDescriptor

Packages that use PropertyDescriptor
Package
Description
javax.validation.metadata

## Uses of PropertyDescriptor in javax.validation.metadata

Methods in javax.validation.metadata that return PropertyDescriptor
Modifier and Type
Method
Description
`PropertyDescriptor`
BeanDescriptor.`getConstraintsForProperty(String propertyName)`
Methods in javax.validation.metadata that return types with arguments of type PropertyDescriptor
Modifier and Type
Method
Description
`Set<PropertyDescriptor>`
BeanDescriptor.`getConstrainedProperties()`